import React from 'react';
import PropTypes from 'prop-types';
import cx from 'classnames';
var CLASSNAME = 'sui-AtomLabel';
var TYPES = {
  SUCCESS: 'success',
  ERROR: 'error'
};

var getClass = function getClass(_ref) {
  var _cx;

  var type = _ref.type,
      inline = _ref.inline;
  return cx(CLASSNAME, (_cx = {}, _cx[CLASSNAME + "--" + type] = type, _cx[CLASSNAME + "--inlineLeft"] = inline === 'left', _cx[CLASSNAME + "--inlineRight"] = inline === 'right', _cx));
};

var AtomLabel = function AtomLabel(_ref2) {
  var name = _ref2.name,
      inline = _ref2.inline,
      text = _ref2.text,
      optionalText = _ref2.optionalText,
      type = _ref2.type,
      onClick = _ref2.onClick;
  return React.createElement("label", {
    htmlFor: name,
    className: getClass({
      type: type,
      inline: inline
    }),
    onClick: onClick
  }, text, optionalText && React.createElement("span", {
    className: "sui-AtomLabel-optionalText"
  }, optionalText));
};

AtomLabel.displayName = 'AtomLabel';
export default AtomLabel;
export { TYPES as AtomLabelTypes };